Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2007-4066

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2007-4066
Last Modified 21 Aug 2010 01:09:21
Published 21 Sep 2007 03:17:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2007-4066

Summary

Multiple buffer overflows in Xiph.Org libvorbis before 1.2.0 allow context-dependent attackers to cause a denial of service or have other unspecified impact via a crafted OGG file, aka trac Changesets 13162, 13168, 13169, 13170, 13172, 13211, and 13215, as demonstrated by an overflow in oggenc.exe related to the _psy_noiseguards_8 array.

Vulnerable Systems

Application

  • Xiph.org Libvorbis 1.2.0


References

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=249780

SECUNIA - 26865

MISC - https://trac.xiph.org/ticket/853

CONFIRM - https://trac.xiph.org/ticket/300

MISC - https://trac.xiph.org/changeset/13215

MISC - https://trac.xiph.org/changeset/13211

MISC - https://trac.xiph.org/changeset/13172

MISC - https://trac.xiph.org/changeset/13170

MISC - https://trac.xiph.org/changeset/13169

CONFIRM - https://trac.xiph.org/changeset/13168

MISC - https://trac.xiph.org/changeset/13162

REDHAT - RHSA-2007:0845

MISC - http://svn.xiph.org/trunk/vorbis/CHANGES

SECTRACK - 1018712

REDHAT - RHSA-2007:0912

SUSE - SUSE-SR:2007:023

MANDRIVA - MDKSA-2007:194

DEBIAN - DSA-1471

GENTOO - GLSA-200710-03

SECUNIA - 28614

SECUNIA - 27439

SECUNIA - 27170

SECUNIA - 27099

SECUNIA - 24923

Related Patches

Novell SUSE 2007:4584 libvorbis security update for SLE 10 SP1 i586


Last Updated: 27 May 2016 10:45:46